VERILATOR_PROFCFUNC(1)

NAME
verilator_profcfunc - Read gprof report created with --prof-cfuncs

SYNOPSIS
  verilator --prof-cfuncs ....
  gcc --ggdb -pg ....
  {run executable}
  gprof
  verilator_profcfuncs gprof.out

DESCRIPTION
Verilator_profcfunc reads a profile report created by gprof. The names of the functions are then transformed, assuming the user used Verilator's --prof-cfuncs, and a report printed showing the percentage of time, etc, in each Verilog block.

ARGUMENTS

--help
    Displays this message and program version and exits.

DISTRIBUTION
The latest version is available from <https://verilator.org>.

Copyright 2007-2020 by Wilson Snyder. Verilator is free software; you can redistribute it and/or modify it under the terms of either the GNU Lesser General Public License Version 3 or the Perl Artistic License Version 2.0.

AUTHORS
Wilson Snyder <wsnyder@wsnyder.org>

SEE ALSO
"verilator"